﻿@model PaymentErrorViewModel
@{
    ViewBag.Title = "ErrorPaymentGeneral";
}

@section Styles{
    <link href="@Url.Content("~/content/cart/cart-style.css")" rel="stylesheet" />
    <link href="@Url.Content("~/content/cart/cart-added-responsive.css")" rel="stylesheet" />
}


<div id="container">
    <section class="container page-confirm text-center">
        <div class="row-fluid">
            <div class="span12">
                <br />
                <br />
                <br />
                <div class="pull-left txt">
                    
                     @if(Model==null || string.IsNullOrEmpty(Model.Subject))
                     {
                         <h4>Jumbula has encountered an error when processing your payment</h4>
                     }
                     else 
                     {
                         <h4>@Model.Subject</h4>
                     }
                    
                    <br />
                    <strong>Your order is not complete 
                        @if (Model == null || Model.IsMoneyTaken)
                        {
                            <text>(Your money is taken).</text>
                        }
                        else
                        {
                            <text>(We have not taken money from you).</text>
                        }
                    </strong>
                    <br />
                   
                     @if (Model == null || string.IsNullOrEmpty(Model.ErrorMessage))
                        {
                            <strong>Please report this error immediately to Jumbula Support and reference your order Id:@Model.OrderConfirmationID</strong>
                        }
                       
                    else
                         {
                            <strong>@Model.ErrorMessage</strong>
                        }
                </div>
               
                <br />
                <br />
                <br />
            </div>
        </div>
    </section>
</div>
<script>

    if (window != top) {
        top.location.replace(document.location);
    }
</script>